UBUNTU16.04下COMPOSER的安装和使用

composer

COMPOSER是一个流行的 PHP 依赖管理工具,它的出现主要是为基于项目依赖关系的安装和升级提供便利。它允许你申明项目所依赖的代码库,它会根据你的项目需求找到合适版本的依赖代码库并在你的项目中安装上。这里小卓会带大家在UBUNTU16.04下安装COMPOSER,并教会大家如何使用。

前提条件

安装前,需要满足如下条件:

  • 一个运行着的UBUNTU16.04服务器
  • 拥有执行SUDO权限的用户账号

安装依赖包

在正式安装COMPOSER之前先要更新包的下载列表

  1. sudo apt-get update

然后安装COMPOSER所需的依赖包,并确保相关依赖包成功安装上。这些依赖包包括用来下载COMPOSER的CURL,用来安装和运行的PHP-CLI,以及下载依赖包的GIT。用下面一条命令就搞定了。

  1. sudo apt-get install curl php-cli git

安装COMPOSER

下面开始安装COMPOSER,只需要一条命令,该命令通过CURL下载COMPOSER并通过管道安装到指定的目录,这里是/usr/local/bin下。

  1. ubuntu@ip-172-31-4-123:/etc/nginx$ curl -sS https://getcomposer.org/installer | sudo php — –install-dir=/usr/local/bin –filename=composer
  2. All settings correct for using Composer
  3. Downloading…
  4. Composer (version 1.3.1) successfully installed to: /usr/local/bin/composer
  5. Use it: php /usr/local/bin/composer

上面的提示说明已经安装成功了,让我们输入COMPOSER试试看。看到类似下面这样的结果,恭喜你,已经安装成功了。

  1. ubuntu@ip-172-31-4-123:/etc/nginx$ composer
  2.    ______
  3.   / ____/___  ____ ___  ____  ____  ________  _____
  4.  / /   / __ \/ __ `__ \/ __ \/ __ \/ ___/ _ \/ ___/
  5. / /___/ /_/ / / / / / / /_/ / /_/ (__  )  __/ /
  6. \____/\____/_/ /_/ /_/ .___/\____/____/\___/_/
  7.                     /_/
  8. Composer version 1.3.1 2017-01-07 18:08:51
  9. Usage:
  10.   command [options] [arguments]
  11. Options:
  12.   -h, –help                     Display this help message
  13.   -q, –quiet                    Do not output any message
  14.   -V, –version                  Display this application version
  15.       –ansi                     Force ANSI output
  16.       –no-ansi                  Disable ANSI output
  17.   -n, –no-interaction           Do not ask any interactive question
  18.       –profile                  Display timing and memory usage information
  19.       –no-plugins               Whether to disable plugins.
  20.   -d, –working-dir=WORKING-DIR  If specified, use the given directory as working directory.
  21.   -v|vv|vvv, –verbose           Increase the verbosity of messages: 1 for normal output, 2 for more verbose output and 3 for debug

产生COMPOSER.JSON文件

为了在你的项目中使用COMPOSER,你需要COMPOSER.JSON文件。COMPOSER.JSON文件告诉COMPOSER需要下载哪些依赖包到你的项目中,每个依赖包有怎样的版本要求。这对于提高项目的一致性,避免安装到不稳定版本的依赖包或产生后向兼容方面的问题,有非常重要的作用。

此外,你并不需要手动去创建这个COMPOSER.JSON文件,当你往项目中通过REQUIRE命令添加依赖关系时,COMPOSER会自动生成依赖包的关系并生成COMPOSER.JSON文件。

通常往一个项目中添加依赖包大致是这么个流程:

  1. 定义出项目需要哪些包
  2. 在COMPOSER官方仓库packagist.org中搜索合适的包
  3. 选择你需要依赖的包
  4. 运行 composer require 来包含依赖包到COMPOSER.JSON文件中并安装这些包。

例如,我们想在项目中安装phpword来实现WORD文档操作,就可以在通过packagist.org搜索phpword

COMPOSER官方包仓库PACKAGIST

COMPOSER官方包仓库PACKAGIST

经过阅读描述,我们确定第一个”phpoffice/phpword”即为我们想要安装的包,于是进入到项目文件夹后,输入”composer require phpoffice/phpword”就完成了生成COMPOSER.JSON文件并安装好了phpword包。

使用国内的COMPOSER镜像

因为出国带宽有限而COMPOSER的官方源又在国外,下载速度很慢,在国内可以指定使用COMPOSER的国内镜像,提高下载速度。通过下面的命令就可以切换到国内镜像:

  1. composer config -g repositories.packagist composer http://packagist.phpcomposer.com

OK,关于UBUNTU16.04下COMPOSER安装和使用就介绍到这里,欢迎大家与小卓交流。

>>原创文章,欢迎转载。转载请注明:转载自惠州市卓优互联科技有限公司,谢谢!
>>原文链接地址:UBUNTU16.04下COMPOSER的安装和使用


关于作者

留下您的回复